Page MenuHomePhabricator

Add support for extended community lists.
Closed, ResolvedPublic

Description

Syntax

set policy route extcommunity-list [ standard | expanded ] { list-num | list-name } rule rule-num action { deny | permit }
delete policy route extcommunity-list [ standard | expanded ] { list-num | list-name } rule rule-num action
show policy route extcommunity-list [ standard | expanded ] { list-num | list-name } rule rule-num action

Quagga supports them.

Details

Difficulty level
Easy (less than an hour)

Event Timeline

afics created this task.Apr 11 2016, 11:06 AM
syncer assigned this task to mickvav.May 9 2016, 9:52 PM
syncer triaged this task as Low priority.
syncer added a project: VyOS 1.1.x (1.1.8).
syncer added subscribers: mickvav, syncer.

Hey @mickvav, can you pick up this?

I think, I can. Need two things - url to docs to check semantics and readyness to test.

@afics can you collaborate with @mickvav on this issue
Thanks guys!

Well, it's somewhat more complicated than expected, but possible. I'll try do it today, but not 100% sure that I'll have enough time...

@afics I think keyword route is unnecessary in your suggested syntax - we have all options right under "set policy" tree. @syncer , @dmbaturin what will you say?

afics added a comment.May 10 2016, 8:52 AM

@mickvav On vRouter 5600, it would be like I posted. I vote for adding directly under policy.

afics added a comment.May 10 2016, 8:55 AM

I propose adding support for named extended-community-lists, see T64.

Well, looks like pre-alpha is here:


N.B. It's completely untested. And I can't test one as I have no working MPLS config for clean quagga.

What is vRouter 5600?

afics added a comment.May 10 2016, 8:58 AM

B rocade vyatta.

@dmbaturin @syncer should we keep configuration syntax in sync with brocade?

Created pull request - https://github.com/vyos/vyatta-cfg-quagga/pull/9 to track changes, related to this ticket.

In T46#987, @mickvav wrote:

@dmbaturin @syncer should we keep configuration syntax in sync with brocade?

There are no obligations to follow brocade, however for compatibility probably have some sense.

- update - i've found minor bug.
May be we need some kind of lint-ing on scripts during package build process?

mickvav added a comment.EditedMay 12 2016, 8:43 AM

Steel need someone with known working quagga MPLS confgiuration to test. @afics ?

mickvav closed this task as Resolved.Jun 28 2017, 9:44 AM

Actually merged year ago.

@dmbaturin tells that this does not work as expected
so i suggest reopen this task